package com.test.web.managed;

import java.util.Locale;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

@ManagedBean(name = "locale")
@RequestScoped
public class LocaleBean {

	public static final String DEFAULT_LANGUAGE = "pl";

	private Locale locale;

	@PostConstruct
	public void init() {
		locale = FacesContext.getCurrentInstance().getViewRoot().getLocale();
	}
	
	public Locale getLocale() {
		return locale;
	}

	public String getLanguage() {
		return locale.getLanguage();
	}

	public void setLanguage(String language) {
		locale = new Locale(language);
		System.out.println("setLocale: " + locale);
	    FacesContext.getCurrentInstance().getViewRoot().setLocale(locale);
	}
	
}
